You are Here:
Linux Lite 4.2 Final has been released. See the Release Announcements Section.




[ BUG ] VirtualBox Update Bug Linux Lite

Author (Read 5266 times)

0 Members and 4 Guests are viewing this topic.

VirtualBox Update Bug Linux Lite
« on: March 23, 2018, 03:14:42 PM »
 

Edgewood

  • New to Forums
  • *
  • 1
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: AMD FX-series

  • MEMORY: 4Gb

  • VIDEO CARD: Nvidia
I did an update on a 3.2 and a 3.6 version of a VMWARE machine...and had issues after restart. Nothing except minor programs would work. So, I have done this several times since. Installed a fresh copy of 3.8 as a virtual machine (two different versions of vmware so far - 10 & 14) and then shut it down so I could make a copy of the fresh version. Then I restarted and INSTALLED all the LATEST UPDATES...and restarted...BAM!...nothing works. I get a consistent "Indicator Plugin unexpectedly left the panel" error. I can't do much more than that at this point. So SOMETHING in the latest update is killing vmware machines. 
Last Edit: April 17, 2018, 09:39:05 PM by Jerry
 


Re: VirtualBox Update Bug Linux Lite
« Reply #1 on: March 23, 2018, 03:34:50 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 726
    Posts
  • Country: us
  • Reputation: 110
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
I'm running latest 3.8 version on VMWare with all updates. I haven't experienced this issue myself. Will be firing up another VM on Workstation 14 Pro to see if I can duplicate this issue and report back.


Installing updates now (182 updates available on fresh install)...
Last Edit: March 23, 2018, 04:01:59 PM by ralphy
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: VirtualBox Update Bug Linux Lite
« Reply #2 on: March 23, 2018, 04:13:20 PM »
 

trinidad

  • Gold Level Poster
  • *******
  • 839
    Posts
  • Country: us
  • Reputation: 153
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.0 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
I'd guess you have to install Ubuntu vmtools again after updating to the virtual system, like a few years back. Happens with AMD expecting OEM tools.

TC
Last Edit: March 23, 2018, 04:15:15 PM by trinidad
"You can't depend on your eyes when your imagination is out of focus."
 

Re: VirtualBox Update Bug Linux Lite
« Reply #3 on: March 23, 2018, 04:20:05 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 726
    Posts
  • Country: us
  • Reputation: 110
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit

Just ran updates and rebooted. Desktop came back just fine with a minor issue though. The Plugin Indicator seems to have broke during the update.


This is what I recommend for you to do:


1- Instead of installing updates using the Install Updates tool in Linux Lite:


- Update from Terminal with sudo apt-get update && sudo apt-get upgrade
You will be prompted during updates installation to replace or keep some grub files. ALWAYS keep the current file in the system when prompted.


- Or use Update Manager for Linux Lite: It will also ask you to keep or replace those files when running updates. ALWAYS keep the current file in the system when prompted.


I think I now have an idea of what's causing quite a few reports of broken systems after install:


1- Kernel updates that simply don't play nice with the hardware (reverting to earlier kernel with correct the problem for users in most cases)
2- Install Updates may be replacing some files without asking the user whether to keep it or replace it.


Running manual updates or using Update Manager allows the user to opt-out or a file replacement. That might explain the reason why I don't find myself having the issue in the first place (I use Update Manager instead of Install Updates).


Now back to find out what broke the Indicator Plugin... but this is a different beast that shouldn't leave anyone without a fully useable Desktop.


Those are my findings so far.


My assessment is completely wrong. My fresh VM is also broken as the OP states.
Last Edit: March 23, 2018, 04:50:57 PM by ralphy
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: VirtualBox Update Bug Linux Lite
« Reply #4 on: March 23, 2018, 06:09:56 PM »
 

trinidad

  • Gold Level Poster
  • *******
  • 839
    Posts
  • Country: us
  • Reputation: 153
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.0 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
I broke 3 LL vms this month (all on AMDs). I think it's the kernel change to retpoline. The Deb VMs run fine but they were vm images to begin with. I have tried all the known fixes from the past (vmtools, video mem, etc.) to no avail. I was just waiting for this topic to turn up again. Not much is being said elsewhere so I assumed it was operator error on my part. It's Ubuntu and AMD somehow. My old core2 duo Dell has no issue, in Deb, LL, or Ubuntu. I guess I'll take it seriously and look deeper now. LL may have to package a separate vm image otherwise.

TC
"You can't depend on your eyes when your imagination is out of focus."
 

Re: VirtualBox Update Bug Linux Lite
« Reply #5 on: March 23, 2018, 06:23:09 PM »
 

supergamer

  • Forum Regular
  • ***
  • 107
    Posts
  • Country: us
  • Reputation: 23
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
I'm running an AMD 565 with the 4.13.0-38 hwe kernel and do not have any of these issues. I actually have just rolled several test iso's the last couple of days without any issues at all from Virtualbox.
 

Re: VirtualBox Update Bug Linux Lite
« Reply #6 on: March 23, 2018, 07:24:35 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 726
    Posts
  • Country: us
  • Reputation: 110
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
I've installed LL 5 times already to pinpoint exactly why it is breaking... I think I'm getting closer.

So far what I can say that broke in previous install is policykit-1-gnome... it fails to authenticate against session and hence apps won't launch, which make it look like everything is broken when in fact the authentication agent is what fails to start.

After I complete my fifth installation which is what I'm testing now, I believe that what's happening is that somehow the agent is failing when the primary sudoer account is created and set for auto-login during installation.

I'm running updates right now to see if it breaks again. If it doesn't break my previous description is certainly what causes the problems in the previous four installs.

It has been the authentication agent all along nevertheless.
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: VirtualBox Update Bug Linux Lite
« Reply #7 on: March 23, 2018, 09:13:01 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 726
    Posts
  • Country: us
  • Reputation: 110
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
@Edgewood - virtualbox updates is what's causing the issue for the most part.  As long as these updates are not installed there will be no issues with the VM. Tested on VMWare Workstation Pro 14, VMWare Fusion and ESXi.

Also during updates I kept all original files when prompted (/etc/issue, etc/release and so on.) I installed every single update with VNC enabled and disabled, no vmware-tools installed and also no open-vm-tools installed just to make sure it was not a conflict between packages.





So, I would certainly hold those packages and wait for the next update and test again, but for now, if installed on a VMWare VM it will kill it. As I mentioned before, it seems to prevent policykit-1-gnome from launching which basically gives you a blank screen... lightdm/session cannot authenticate due to the missing authentication agent.


Code: [Select]
sudo apt-mark hold virtualbox-guest-dkms
sudo apt-mark hold virtualbox-guest-utils
sudo apt-mark hold virtualbox-guest-x11

OR


Code: [Select]
sudo apt-mark hold virtualbox-guest-dkms virtualbox-guest-utils virtualbox-guest-x11
Which of the three packages is the one actually killing it, I didn't test between those three because they pretty much depend on each other, so by default users will be prompted to install at least two of the tree packages due to their mutual dependency. I might run some tests later. And it makes sense after all because other users have reported having issues after installing virtualbox updates (here in the forum - recent days).


Another thing I noticed,  is that policykit failed to autostart when the primary user is set to auto-login during installation. It did the same for me twice, whether I installed updates or not during the installation process. virtualbox packages do not get updated during installation though, so there are two different scenarios in which we can end up with a blank screen VM or a VM that doesn't launch applications that requires administrative privileges due to the broken authentication agent.


Finally, I tested Install Updates (https://github.com/linuxlite/litesoftware/blob/master/usr/scripts/updates-gui#L177) and in the case of these packages they are defaulting to keep the original file, so users shouldn't have had any issues because of the non-interactive install.


That's what I've found during my tests. Maybe someone else wants to try to replicate this.
Last Edit: March 23, 2018, 09:25:08 PM by ralphy
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: VirtualBox Update Bug Linux Lite
« Reply #8 on: March 24, 2018, 12:24:17 PM »
 

trinidad

  • Gold Level Poster
  • *******
  • 839
    Posts
  • Country: us
  • Reputation: 153
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.0 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
@ralphy

The v-box packages are definitely the issue but its frustrating to try to track any known bugs. It may be the kernel vrs. package repo involving the qt5 lib, given that v-box uses the one from Ubu 16.10 even though it's listed the same in 16.04. It may also be the v-box login message application, which may be deprecated relative to lightdm. I am leaning toward a combination of factors that are causing the issue in the v-box updates. In any case I have an updated v-LL 3.8 running on my Deb machine again.

For now your method works for installation.
1) Do NOT install updates during installation, or third party software.
2) Do NOt select autologin during installation.
3) After the system reboots and is up and running HOLD the three v-box packages BEFORE running updates.

TC



"You can't depend on your eyes when your imagination is out of focus."
 

Re: VirtualBox Update Bug Linux Lite
« Reply #9 on: March 24, 2018, 12:31:05 PM »
 

ch289

  • New to Forums
  • *
  • 1
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 32bit
So good to come here and see you all already figuring out exactly the problem I was having  ;)

Am I correct in understanding then that the only solution for now is to abandon any VMs that had the update without those packages being held?

Thanks for all your work on this excellent distro
 

Re: VirtualBox Update Bug Linux Lite
« Reply #10 on: March 24, 2018, 01:54:19 PM »
 

trinidad

  • Gold Level Poster
  • *******
  • 839
    Posts
  • Country: us
  • Reputation: 153
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.0 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
Unfortunately removing the package from the terminal will not collect the dependencies broken or unbroken to fix correctly, so yes you are probably better off to reinstall.

Yep. Tracked down the beginning of the problem. V-box updates for guest additions are from the 18.04 Ubu repos. Don't bother with them as they are buggy and have several ongoing issues. HOLD v-box updates unless you are on at least 4.13 HWE running Intel or 4.15 kernel. Also policy kit is out of date as well in LTS. Best to hold for now and wait. I think it would be best to just hold them back for now in the restricted repo for LL or people installing/running VMs are going to continue crashing them with updates. I didn't think of it immediately but it would be nice to see the install log from someone with a crashed vm. Here I think on the vm os  /var/log/vboxadd-setup.log

TC
Last Edit: March 26, 2018, 09:47:43 AM by trinidad
"You can't depend on your eyes when your imagination is out of focus."
 

Re: VirtualBox Update Bug Linux Lite
« Reply #11 on: March 26, 2018, 10:10:01 AM »
 

trinidad

  • Gold Level Poster
  • *******
  • 839
    Posts
  • Country: us
  • Reputation: 153
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.0 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
Installing a new LL VM, or updating a running LL VM.

Be aware that updating virtual box guest will cause your LL VM to crash for one/or/all of at least three reasons on some machines. Best to follow the workaround below.

When installing:
Do NOT choose to update or install third party software during installation.
Do NOT enable auto-login during the installation process.
Do NOT update after installation until you HOLD virtual box guest additions updates.

If you have a running an LL VM now HOLD the virtual box guest additions before updating. See below.
sudo apt-mark hold virtualbox-guest-dkms
sudo apt-mark hold virtualbox-guest-utils
sudo apt-mark hold virtualbox-guest-x11

This bug does not affect all users but is significant enough to report as such.

TC



"You can't depend on your eyes when your imagination is out of focus."
 

Re: VirtualBox Update Bug Linux Lite
« Reply #12 on: March 26, 2018, 12:16:03 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6373
    Posts
  • Country: nz
  • Reputation: 581
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960



This bug does not affect all users but is significant enough to report as such.

TC
[/size]

Agreed.

Have been following these threads since they started. Thanks to everyone for their input.

Sent from my Mobile phone using Tapatalk

Download your free copy of Linux Lite today.

Jerry Bezencon
Linux Lite Creator

Learn to use your emotions to think, not think with your emotions.



 

Re: VirtualBox Update Bug Linux Lite
« Reply #13 on: March 26, 2018, 03:42:00 PM »
 

The Repairman

  • New to Forums
  • *
  • 27
    Posts
  • Country: 00
  • Reputation: 1

  • Linux Lite: 4.0 64bit
 8)
Last Edit: July 14, 2018, 10:06:25 PM by The Repairman
 

Re: VirtualBox Update Bug Linux Lite
« Reply #14 on: March 26, 2018, 07:54:02 PM »
 

bonnevie

  • Occasional Poster
  • **
  • 58
    Posts
  • Country: ca
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: AMD Sempron

  • MEMORY: 3Gb

  • VIDEO CARD: NVidia GEForce 8200G
@The Repairman
It's optional.  You have to select it in your Linux Software Whisker Menu.  So no, it's not in your default install.

1) Compaq-Presario-CQ60-Notebook (2008) AMD-Sempron
2) ThinkPad E540 LL2.8 64 bit Host, VM LL4.0 32-bit guest
Intel i3 QuadCore 12GB RAM
 


Tags:
 


Linux Lite 4.2 Final has been released. See the Release Announcements Section.